/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package abstractFactory;

import abstractFactory.AbstractFactory;
import abstractProductA.Controller;
import abstractProductA.Controller1;
import abstractProductB.DatabaseBroker;
import abstractProductB.DatabaseBroker1;
import abstractProductC.Form;
import abstractProductC.Panel;
import abstractProductC.Form1;
import abstractProductC.Panel1;

/**
 *
 * @author Luka
 */
public class ConcreteFactory1 extends AbstractFactory {

    @Override
    public Form createForm() {
        Form form = new Form1();
        Panel panelProduct = new Panel1();
        form.setPanel(panelProduct);
        return form;
    }

    @Override
    public DatabaseBroker createDatabaseBroker() {
        DatabaseBroker databaseBroker = new DatabaseBroker1();
        return databaseBroker;
    }

    @Override
    public Controller createController(Form form, DatabaseBroker databaseBroker) {
        Controller controller = new Controller1(databaseBroker, form);
        return controller;
    }
    
}
