/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package abstractFactory;

import abstractProductA.Controller;
import abstractProductA.Controller1;
import abstractProductB.DatabaseBroker;
import abstractProductB.DatabaseBroker2;
import abstractProductC.Form;
import abstractProductC.Form1;
import abstractProductC.Panel;
import abstractProductC.Panel2;

/**
 *
 * @author Luka
 */
public class ConcreteFactory2 extends AbstractFactory {

    @Override
    public Form createForm() {
        Form form = new Form1();
        Panel panelProduct = new Panel2();
        form.setPanel(panelProduct);
        return form;
    }

    @Override
    public DatabaseBroker createDatabaseBroker() {
        DatabaseBroker databaseBroker = new DatabaseBroker2();
        return databaseBroker;
    }

    @Override
    public Controller createController(Form form, DatabaseBroker databaseBroker) {
        Controller controller = new Controller1(databaseBroker, form);
        return controller;
    }
    
}
