/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package abstractProductB;

import domain.DomainClass;

/**
 *
 * @author Korisnik
 */
public class DatabaseBroker2 extends DatabaseBroker {

    public DatabaseBroker2() {
        initiateDatabase();
    }

    @Override
    public void initiateDatabase() {
        database = new Database2();
    }

    @Override
    public void add(DomainClass domainClass) {
        database.add(domainClass);
    }

    @Override
    public void edit(DomainClass domainClass) {
        database.edit(domainClass);
    }

    @Override
    public void delete(DomainClass domainClass) {
        database.delete(domainClass);
    }

    @Override
    public DomainClass find(DomainClass domainClass) throws Exception {
        DomainClass dc = database.find(domainClass);
        if (dc == null) {
            throw new Exception();
        }
        return dc;
    }

    @Override
    public Long getNextId() {
        return database.getNextId();
    }
    
}
