/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import model.Data;
import view.Form;

/**
 *
 * @author Luka
 */
public class Controller {
    
    private Data model;
    private Form view;

    public Controller(Data model, Form view) {
        this.model = model;
        this.view = view;
        addListeners();
    }

    private void addListeners() {
        view.getBtnShowData().addActionListener(new ListenerShowData(this));
    }
    
    void showData() {
        view.setData(model);
    }
    
    public void showView() {
        view.setVisible(true);
    }
    
}

class ListenerShowData implements ActionListener {
    
    Controller controller;

    public ListenerShowData(Controller controller) {
        this.controller = controller;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        controller.showData();
    }
    
}
