/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package abstractFactory;

import abstractProductA.Form;
import abstractProductA.Form1;
import abstractProductA.Form2;
import abstractProductB.Data;
import abstractProductB.Data1;
import abstractProductB.Data2;
import abstractProductC.Controller;
import abstractProductC.Controller1;
import abstractProductC.Controller2;

/**
 *
 * @author Luka
 */
public class ConcreteFactory2 extends AbstractFactory {

    @Override
    public Form createView() {
        Form form = new Form2();
        return form;
    }

    @Override
    public Data createModel() {
        Data data = new Data2();
        return data;
    }

    @Override
    public Controller createController(Data model, Form view) {
        Controller controller = new Controller2(model, view);
        return controller;
    }
    
}
