/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package abstractProductC;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import abstractProductB.Data;
import abstractProductA.Form;

/**
 *
 * @author Luka
 */
public class Controller1 extends Controller {
    
    public Controller1(Data model, Form view) {
        this.model = model;
        this.view = view;
        addListeners();
    }

    @Override
    protected void showData() {
        view.setData(model);
    }

    @Override
    protected void addListeners() {
        view.getBtnShowData().addActionListener(new ListenerShowData(this));
    }
    
}

class ListenerShowData implements ActionListener {
    
    Controller1 controller;

    public ListenerShowData(Controller1 controller) {
        this.controller = controller;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        controller.showData();
    }
    
}
