/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package abstractFactory;

import abstractProductA.Controller;
import abstractProductB.DatabaseBroker;
import abstractProductC.Form;

/**
 *
 * @author Korisnik
 */
public abstract class AbstractFactory {
    
    public abstract Form createForm();

    public abstract DatabaseBroker createDatabaseBroker();

    public abstract Controller createController(Form form, DatabaseBroker databaseBroker);
    
}
