/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package abstractProductB;

import domain.DomainClass;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Luka
 */
public class Database1 implements Database {
    
    private List<DomainClass> domainClasses;

    public Database1() {
        domainClasses = new ArrayList<>();
    }
    
    @Override
    public void add(DomainClass domainClass) {
        domainClasses.add(domainClass);
    }
    
    @Override
    public void edit(DomainClass domainClass) {
        for (DomainClass currentDomainClass : domainClasses) {
            if (currentDomainClass.compare(domainClass)) {
                currentDomainClass.setAttributes(domainClass);
                break;
            }
        }
    }
    
    @Override
    public void delete(DomainClass domainClass) {
        domainClasses.remove(domainClass);
    }
    
    @Override
    public DomainClass find(DomainClass domainClass) {
        for (DomainClass currentDomainClass : domainClasses) {
            if (currentDomainClass.compare(domainClass)) {
                return currentDomainClass;
            }
        }
        return null;
    }
    
    @Override
    public Long getNextId() {
        Long id = 0L;
        for (DomainClass domainClass : domainClasses) {
            if (domainClass.getId() > id) {
                id = domainClass.getId();
            }
        }
        return id + 1;
    }
    
}
